Loading...
Searching...
No Matches
avdct.h File Reference
`#include "libavutil/opt.h"`

Go to the source code of this file.

## Data Structures

struct | AVDCT
| AVDCT context. More...

## Functions

AVDCT * | avcodec_dct_alloc (void)
| Allocates a AVDCT context.
int | avcodec_dct_init (AVDCT *)
const AVClass * | avcodec_dct_get_class (void)

## Function Documentation

## avcodec_dct_alloc()

AVDCT * avcodec_dct_alloc | ( | void |  | ) |

Allocates a AVDCT context.

This needs to be initialized with avcodec_dct_init() after optionally configuring it with AVOptions.

To free it use av_free()

## avcodec_dct_init()

int avcodec_dct_init | ( | AVDCT * |  | ) |

## avcodec_dct_get_class()

const AVClass * avcodec_dct_get_class | ( | void |  | ) |